/**
 * Decorator which injects a HTTP request header as a parameter value.
 *
 * Value passed to the method will be a string.
 *
 * @param headerName The name of the header to inject.
 */
export declare function header(headerName: string): (classDefinition: Object | Function, methodName: string, paramIndex: number) => void;
