/**
 * Decorator which injects a path parameter value as an endpoint parameter value.
 *
 * Value passed to the method will be a string.
 *
 * @param paramName The name of the path parameter to inject.
 */
export declare function pathParam(paramName: string): (classDefinition: Object | Function, methodName: string, paramIndex: number) => void;
